#! /usr/bin/python

from __future__ import print_function

from distutils.core import setup
from os.path import basename, exists, isdir, join, realpath
from os import getcwd, listdir, makedirs, system
from sys import argv

(name, version) = basename (getcwd ()).rsplit ('-', 1)

data_files = \
[
  (join ('share', 'xbrightness-rgbgamma', 'gammachart'), [join ('images', '1.0.png')]),
  (join ('share', 'xbrightness-rgbgamma', 'gammachart'), [join ('images', '1.8.png')]),
  (join ('share', 'xbrightness-rgbgamma', 'gammachart'), [join ('images', '2.0.png')]),
  (join ('share', 'xbrightness-rgbgamma', 'gammachart'), [join ('images', '2.2.png')]),
  (join ('share', 'pixmaps'), [join ('images', name + '-gtk.png')]),
  (join ('share', 'applications'), [name + '-gtk.desktop'])
]

if len (argv) > 1:
  podir = join (realpath ('.'), 'po')
  if isdir (podir):
    buildcmd = 'msgfmt -c --statistics -o {0} {1}'.format (join ('build', 'locale', '{lc}', 'LC_MESSAGES', name + '.mo'), join ('po', '{lc}.po'))
    print (buildcmd)
    mopath = join ('build', 'locale', '{lc}', 'LC_MESSAGES', name + '.mo')
    destpath = join ('share', 'locale', '{lc}', 'LC_MESSAGES')
    for item in listdir (podir):
      if item.endswith ('.po') == True:
        lc = item[:-3]
        if argv[1] == 'build' \
         or (argv[1] == 'install' and \
         not exists (mopath.format (lc=lc))):
          if not isdir (join ('build', 'locale', lc)):
            makedirs (join ('build', 'locale', lc, 'LC_MESSAGES'))
          system (buildcmd.format (lc=lc))
        data_files.append ((destpath.format (lc=lc), [mopath.format (lc=lc)]))

setup (
        name             = name,
        version          = version,
        description      = 'Brightness and gamma adjustment tool',
        author           = 'kakurasan',
        author_email     = 'kakurasan@gmail.com',
        url              = 'http://kakurasan.ehoh.net/software/xbrightness-rgbgamma/',
        license          = 'MIT',
        packages         = ['xbrightness_rgbgamma',],
        data_files       = data_files,
        scripts          = [join ('bin', 'xbrightness-rgbgamma'),
                            join ('bin', 'xbrightness-rgbgamma-gtk')],
      )
